com.dandymadeproductions.scatterplot.charts

## Class ChartProperties

- java.lang.Object
- - com.dandymadeproductions.scatterplot.charts.ChartProperties

-     public class ChartProperties
      extends java.lang.Object

  The ChartProperties class provides a default structure properties storage for the charts in the ScatterPlot.
  Version:
    1.4 11/20/2017
  Author:
    Dana M. Proctor

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DATACHARTS_ALLOWDUPLICATEXVALUES`
    `static java.lang.String` | `DATACHARTS_AUTOSORT`
    `static java.lang.String` | `DATACHARTS_CHARTBACKGROUNDCOLOR`
    `static java.lang.String` | `DATACHARTS_CHARTFOREGROUNDCOLOR`
    `static java.lang.String` | `DATACHARTS_DOMAINGRIDLINECOLOR`
    `static java.lang.String` | `DATACHARTS_DRAWSERIESLINEPATH`
    `static java.lang.String` | `DATACHARTS_PLOTBACKGROUNDCOLOR`
    `static java.lang.String` | `DATACHARTS_PLOTBASESHAPEFILLED`
    `static java.lang.String` | `DATACHARTS_PLOTBASESHAPEVISIBLE`
    `static java.lang.String` | `DATACHARTS_PLOTSERIESCOLORS`
    `static java.lang.String` | `DATACHARTS_RANGEGRIDLINECOLOR`
    `static java.lang.String` | `DATACHARTS_TITLEFONTSIZE`
    `static int` | `PLOT_SERIES_SEQUENCE_NUMBER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChartProperties()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `getAllowDuplicateXValues()`
    `boolean` | `getAutoSort()`
    `java.awt.Color` | `getChartBackgroundColor()`
    `java.awt.Color` | `getChartForegroundColor()`
    `java.awt.Color` | `getDomainGridLineColor()`
    `boolean` | `getDrawSeriesLinePath()`
    `java.awt.Color` | `getPlotBackgroundColor()`
    `boolean` | `getPlotBaseShapeFilled()`
    `boolean` | `getPlotBaseShapeVisible()`
    `java.awt.Color` | `getPlotSeriesColor(int key)`
    `java.awt.Color` | `getRangeGridLineColor()`
    `int` | `getTitleFontSize()`
    `void` | `setAllowDuplicateXValues(boolean value)`
    `void` | `setAutoSort(boolean value)`
    `void` | `setChartBackgroundColor(int value)`
    `void` | `setChartForegroundColor(int value)`
    `void` | `setDomainGridLineColor(int value)`
    `void` | `setDrawSeriesLinePath(boolean value)`
    `void` | `setPlotBackgroundColor(int value)`
    `void` | `setPlotBaseShapeFilled(boolean value)`
    `void` | `setPlotBaseShapeVisible(boolean value)`
    `void` | `setPlotSeriesColor(int key, int value)`
    `void` | `setRangeGridLineColor(int value)`
    `void` | `setTitleFontSize(int value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### PLOT_SERIES_SEQUENCE_NUMBER

          public static final int PLOT_SERIES_SEQUENCE_NUMBER

      See Also:
        Constant Field Values

    - #### DATACHARTS_TITLEFONTSIZE

          public static final java.lang.String DATACHARTS_TITLEFONTSIZE

      See Also:
        Constant Field Values

    - #### DATACHARTS_CHARTFOREGROUNDCOLOR

          public static final java.lang.String DATACHARTS_CHARTFOREGROUNDCOLOR

      See Also:
        Constant Field Values

    - #### DATACHARTS_CHARTBACKGROUNDCOLOR

          public static final java.lang.String DATACHARTS_CHARTBACKGROUNDCOLOR

      See Also:
        Constant Field Values

    - #### DATACHARTS_AUTOSORT

          public static final java.lang.String DATACHARTS_AUTOSORT

      See Also:
        Constant Field Values

    - #### DATACHARTS_ALLOWDUPLICATEXVALUES

          public static final java.lang.String DATACHARTS_ALLOWDUPLICATEXVALUES

      See Also:
        Constant Field Values

    - #### DATACHARTS_PLOTBACKGROUNDCOLOR

          public static final java.lang.String DATACHARTS_PLOTBACKGROUNDCOLOR

      See Also:
        Constant Field Values

    - #### DATACHARTS_DOMAINGRIDLINECOLOR

          public static final java.lang.String DATACHARTS_DOMAINGRIDLINECOLOR

      See Also:
        Constant Field Values

    - #### DATACHARTS_RANGEGRIDLINECOLOR

          public static final java.lang.String DATACHARTS_RANGEGRIDLINECOLOR

      See Also:
        Constant Field Values

    - #### DATACHARTS_PLOTBASESHAPEVISIBLE

          public static final java.lang.String DATACHARTS_PLOTBASESHAPEVISIBLE

      See Also:
        Constant Field Values

    - #### DATACHARTS_PLOTBASESHAPEFILLED

          public static final java.lang.String DATACHARTS_PLOTBASESHAPEFILLED

      See Also:
        Constant Field Values

    - #### DATACHARTS_PLOTSERIESCOLORS

          public static final java.lang.String DATACHARTS_PLOTSERIESCOLORS

      See Also:
        Constant Field Values

    - #### DATACHARTS_DRAWSERIESLINEPATH

          public static final java.lang.String DATACHARTS_DRAWSERIESLINEPATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ChartProperties

          public ChartProperties()

  - ### Method Detail

    - #### getTitleFontSize

          public int getTitleFontSize()

    - #### getChartForegroundColor

          public java.awt.Color getChartForegroundColor()

    - #### getChartBackgroundColor

          public java.awt.Color getChartBackgroundColor()

    - #### getAutoSort

          public boolean getAutoSort()

    - #### getAllowDuplicateXValues

          public boolean getAllowDuplicateXValues()

    - #### getPlotBackgroundColor

          public java.awt.Color getPlotBackgroundColor()

    - #### getDomainGridLineColor

          public java.awt.Color getDomainGridLineColor()

    - #### getRangeGridLineColor

          public java.awt.Color getRangeGridLineColor()

    - #### getPlotBaseShapeVisible

          public boolean getPlotBaseShapeVisible()

    - #### getPlotBaseShapeFilled

          public boolean getPlotBaseShapeFilled()

    - #### getPlotSeriesColor

          public java.awt.Color getPlotSeriesColor(int key)

    - #### getDrawSeriesLinePath

          public boolean getDrawSeriesLinePath()

    - #### setTitleFontSize

          public void setTitleFontSize(int value)

    - #### setChartForegroundColor

          public void setChartForegroundColor(int value)

    - #### setChartBackgroundColor

          public void setChartBackgroundColor(int value)

    - #### setAutoSort

          public void setAutoSort(boolean value)

    - #### setAllowDuplicateXValues

          public void setAllowDuplicateXValues(boolean value)

    - #### setPlotBackgroundColor

          public void setPlotBackgroundColor(int value)

    - #### setDomainGridLineColor

          public void setDomainGridLineColor(int value)

    - #### setRangeGridLineColor

          public void setRangeGridLineColor(int value)

    - #### setPlotBaseShapeVisible

          public void setPlotBaseShapeVisible(boolean value)

    - #### setPlotBaseShapeFilled

          public void setPlotBaseShapeFilled(boolean value)

    - #### setPlotSeriesColor

          public void setPlotSeriesColor(int key,
                                         int value)

    - #### setDrawSeriesLinePath

          public void setDrawSeriesLinePath(boolean value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`